TONTONDocs
TON CenterV3Blockchain data

applications/api/toncenter/v3/blockchain-data/get-messages

GET
/api/v3/messages

Query Parameters

msg_hash?array<string>

Message hash. Acceptable in hex, base64 and base64url forms.

body_hash?string

Hash of message body.

source?string

The source account address. Can be sent in hex, base64 or base64url form. Use value null to get external messages.

destination?string

The destination account address. Can be sent in hex, base64 or base64url form. Use value null to get log messages.

opcode?string

Opcode of message in hex or signed 32-bit decimal form.

start_utime?integer

Query messages with created_at >= start_utime.

Formatint32
Range0 <= value
end_utime?integer

Query messages with created_at >= start_utime.

Formatint32
Range0 <= value
start_lt?integer

Query messages with created_lt >= start_lt.

Formatint64
Range0 <= value
end_lt?integer

Query messages with created_lt <= end_lt.

Formatint64
Range0 <= value
direction?string

Direction of message.

Value in"in" | "out"
exclude_externals?boolean

Exclude external messages.

only_externals?boolean

Return only external messages.

limit?integer

Limit number of queried rows. Use with offset to batch read.

Default10
Formatint32
Range1 <= value <= 1000
offset?integer

Skip first N rows. Use with limit to batch read.

Default0
Formatint32
Range0 <= value
sort?string

Sort transactions by lt. If set to desc, you better set start_lt = 1 to get latest messages.

Default"desc"
Value in"asc" | "desc"

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/messages"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "messages": [
    {
      "bounce": true,
      "bounced": true,
      "created_at": "0",
      "created_lt": "0",
      "decoded_opcode": "string",
      "destination": "string",
      "extra_flags": "string",
      "fwd_fee": "0",
      "hash": "string",
      "hash_norm": "string",
      "ihr_disabled": true,
      "ihr_fee": "0",
      "import_fee": "0",
      "in_msg_tx_hash": "string",
      "init_state": {
        "body": "string",
        "decoded": {},
        "hash": "string"
      },
      "message_content": {
        "body": "string",
        "decoded": {},
        "hash": "string"
      },
      "opcode": 0,
      "out_msg_tx_hash": "string",
      "source": "string",
      "value": "0",
      "value_extra_currencies": {
        "property1": "string",
        "property2": "string"
      }
    }
  ],
  "metadata": {
    "property1": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    },
    "property2": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    }
  }
}
{
  "code": 0,
  "error": "string"
}

Last updated on